CREATE TABLE [dbo].[SatConfiguracoes](
	[IdConfiguracao] [int] IDENTITY(1,1) NOT NULL,
	[IdEmpresa] [int] NOT NULL,
	[Nome] [varchar](200) NULL,
	[Configuracao] [varchar](max) NULL
) ON [PRIMARY]

go

CREATE TABLE [dbo].[SatTransacoes](
	[Identificador] [int] IDENTITY(1,1) NOT NULL,
	[XmlRequisicao] [varchar](max) NULL,
	[XmlResposta] [varchar](max) NULL,
	[Operacao] [int] NOT NULL,
	[Status] [int] NOT NULL,
	[NumeroSessao] [int] NULL,
	[NumeroCupom] [int] NULL,
	[CodControle] [int] NULL,
	[IdEmpresa] [int] NULL,
	[CodigoRetorno] [varchar](10) NULL,
	[MensagemRetorno] [varchar](500) NULL,
	[CodigoRetornoSEFAZ] [varchar](10) NULL,
	[MensagemRetornoSEFAZ] [varchar](500) NULL,
	[CodigoProximaEtapa] [varchar](10) NULL,
	[MensagemProximaEtapa] [varchar](500) NULL,
	[DataHoraCadastro] [datetime] NULL,
	[DataHoraResposta] [datetime] NULL,
 CONSTRAINT [PK_Transacoes] PRIMARY KEY CLUSTERED 
(
	[Identificador] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE SatImpressao(
	CodUsuario numeric(5, 0) NOT NULL,
	Empresa numeric(2, 0) NOT NULL,
	Impressora varchar(100) NOT NULL,
	CONSTRAINT [PK_SatImpressao] PRIMARY KEY CLUSTERED 
(
	[CodUsuario] ASC, Empresa
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
	


	GO

INSERT [dbo].[SatConfiguracoes] ([IdEmpresa], [Nome], [Configuracao]) VALUES (1, N'SAT', N'{"NumeroAtivacao":"12345678","TempoEspera":"1000","SistemaComunicador":2,"BancoIntegracao":"","AlertaExecucao":true,"CNPJ_SH":"16716114000172","NomeAplicativo":"SGR-SAT SISTEMA DE GESTAO E RETAGUARDA DO SAT","UF":35}')
INSERT [dbo].[SatConfiguracoes] ([IdEmpresa], [Nome], [Configuracao]) VALUES (1, N'EMITENTE', N'{"CNPJ_CLI":"03654119000176","IE":"000052619494","IM":"","RazaoSocial":"Empresa Teste","NomeFantasia":"Empresa Teste Fantasia","Endereco":"Rua Osvaldo Ortolan 109","Cidade":"Ribeirão Preto","Telefone":"(16) 9881-2570","Logo":"C:\\Servicos\\CentralSATConf\\logo.png"}')